Bug 5378 (int142826/int-149009)

Summary: Provide a way to copy an unknown number to clipboard
Product: [Maemo Official Applications] Chat & Call & SMS Reporter: Kaj-Michael Lang <milang>
Component: Call Application UIAssignee: rtcomm <rtcomm>
Status: RESOLVED FIXED QA Contact: call-ui-bugs
Severity: enhancement    
Priority: Low CC: andre_klapper, mikhail.zabaluev, sanna.nordling
Version: 5.0/(1.2009.42-11)   
Target Milestone: Harmattan   
Hardware: N900   
OS: Linux   

Description Kaj-Michael Lang (reporter) 2009-10-13 15:36:18 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:
Get a call of a unknown number. Before calling back, send number as SMS to
check who it is, for example to Fonecta 16400 service.

EXPECTED OUTCOME:
Click on number, select "Copy number" (and then paste into SMS app) or "Send as
SMS"

ACTUAL OUTCOME:
No easy option to get the number copied to SMS, user needs to write it down or
try to remember it.

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.14)
Gecko/2009091812 Firefox/3.0.13
Comment 1 Andre Klapper maemo.org 2009-10-13 19:29:56 UTC
Can you please elaborate that service? Any URL explaining it?
What are the exact steps to do this?
Comment 2 Kaj-Michael Lang (reporter) 2009-10-14 14:52:39 UTC
"Reverse Phone Number Finder", pretty common service here, you can send a
number (or name "FIND some,body,somewhere) as an SMS to a service number and
get a response back with either a telephone number (or the the number of the
person you searched for).

See (in Finnish only): http://www.16400.fi/palvelut/finder.php
Comment 3 Mikhail Zabaluev nokia 2009-12-01 22:39:53 UTC
This is not going to be fixed in Maemo 5.
Comment 4 Kaj-Michael Lang (reporter) 2009-12-02 10:55:46 UTC
Are you kidding me? It can't be *that* hard to add a button with "Copy to
clipboard" to the menu that pops up when clicking on a phone call in the recent
list.
Comment 5 Andre Klapper maemo.org 2009-12-02 14:48:07 UTC
(In reply to comment #4)
> Are you kidding me?

Please calm down. This is not the tone I want in Bugzilla here, plus it's not
always that the person bringing the message has also made the decision itself.
Thanks :)
Comment 6 Kaj-Michael Lang (reporter) 2009-12-02 15:09:57 UTC
Yeah, well sorry about that.
But this is a regression from S60.. even my old N73, what 3 years old phone,
can do this just fine and it was one of the nicest suprises when I got it and a
feature I used often.
Now one needs to write the number down somewhere or try to remember it, when a
simple copy operation would do it.
Comment 7 Andre Klapper maemo.org 2009-12-02 15:32:33 UTC
(In reply to comment #6)
> But this is a regression from S60

That's similar to "But it works on my Windows Mobile device" except that the
company behind is different.
Maemo is a completely different codebase than S60 hence *technically* speaking
it is not a "regression". Folks that want all of the S60 functionality should
buy an S60 device instead (and then miss features that are available in Maemo).

Some irony included in these sentences. Hope it's not misunderstood. :-)
Comment 8 Kaj-Michael Lang (reporter) 2009-12-08 07:39:47 UTC
Yes, technically it's not a regression, but think it from the the normal users
pow, for them it is and they won't care. And Nokia is even advertising
copy&paste as one of the features of maemo and then you can't copy a simple
number.
Comment 9 Andre Klapper maemo.org 2009-12-08 14:17:31 UTC
(In reply to comment #8)
> Yes, technically it's not a regression, but think it from the the normal users
> pow, for them it is and they won't care.

I don't think that most users scream "regression" all of the time, but more of
"the N900 cannot do what my <$phone> can do". I'm a bit tired of seeing a lot
of completely false "regression, regression!!" comments in Bugzilla, sorry...
Comment 10 Sanna Nordling 2009-12-21 11:06:25 UTC
You can copy & paste the number with couple of extra steps though:

From your Call application main view:
- Tap the number
- Select "New contact"
- You can from this dialog copy&paste the number 

at least you don't have to write the number down...;-)
Comment 11 Andre Klapper maemo.org 2010-03-29 13:38:07 UTC
Added to the Specification for Harmattan, hence closing as FIXED for Maemo6.
As written before, WONTFIX for Maemo5 currently according to Nokia.